%define plugin	dvd
%define betaver	b03
%define cvsrev	20090118
%define rel	19
%define release	0.%betaver.%cvsrev.%rel

Summary:	VDR plugin: turn VDR into an (almost) full featured DVD player
Name:		vdr-plugin-%plugin
Version:	0.3.6
Release:	%mkrel %release
Group:		Video/Utilities
# GPLv2+ due to dvdspu.c, otherwise would be GPL+
License:	GPLv2+
URL:		https://sourceforge.net/projects/dvdplugin
Source:		vdr-%{plugin}-%{cvsrev}.tar.bz2
# from e-tobi debian repository:
Patch0:		11_allow-non-existing-dvd-drive.dpatch
Patch1:		12_dvd-fixed-german-spelling.dpatch
Patch2:		vdr-dvd-0.3.7_pre20090106-compile_warnings.diff
Patch3:		vdr-dvd-0.3.7_pre20090106-fix-dvdnav-using-c++-keywords.patch
Patch4:		vdr-dvd-0.3.7_pre20090106_clang.patch
Patch5:		vdr-dvd-fix-build-newer-vdr.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	libdvdnav-devel 
BuildRequires:	liba52dec-devel
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This is the DVD plugin for the Video Disk Recorder (VDR).

%prep
%setup -q -n %{plugin}
%autopatch -p1
%vdr_plugin_prep
# script-without-shellbang
chmod -x README COPYING HISTORY CONTRIBUTORS

%vdr_plugin_params_begin %plugin
# DVD device
# default: /dev/dvd
var=DVD_DEVICE
param=--dvd=DVD_DEVICE
%vdr_plugin_params_end

%build

%install
mkdir -p %buildroot%_libdir/vdr
%vdr_plugin_build LDFLAGS="%vdr_plugin_ldflags" LIBDIR=%buildroot%_libdir/vdr

%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS






%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.6-0.b03.20090118.19.mga10
+ Revision: 2215081
- Mageia 10 Mass Rebuild

* Tue Aug 16 2022 neoclust <neoclust> 0.3.6-0.b03.20090118.18.mga9
+ Revision: 1878108
- Rebuild with fixed paths
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.3.6-0.b03.20090118.14.mga8
+ Revision: 1517753
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.3.6-0.b03.20090118.13.mga7
+ Revision: 1301578
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.3.6-0.b03.20090118.12.mga6
+ Revision: 951570
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.3.6-0.b03.20090118.11.mga5
+ Revision: 808484
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.3.6-0.b03.20090118.10.mga5
+ Revision: 798665
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.3.6-0.b03.20090118.7.mga4
+ Revision: 544799
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.3.6-0.b03.20090118.6.mga4
+ Revision: 500235
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-0.b03.20090118.5.mga3
+ Revision: 385253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.3.6-0.b03.20090118.4.mga3
+ Revision: 325469
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.3.6-0.b03.20090118.3.mga2
+ Revision: 221040
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.3.6-0.b03.20090118.2.mga2
+ Revision: 214765
- rebuild for new VDR
- allow VDR to start without dvd device (allow-non-existing-dvd-drive.dpatch,
  from e-tobi)
- fix German spelling (dvd-fixed-german-spelling.dpatch, from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.3.6-0.b03.20090118.1.mga1
+ Revision: 98317
- fix license tag
- new snapshot
- drop old workarounds
- drop old scripts
- drop now unneeded patch
- imported package vdr-plugin-dvd


* Thu Jul 30 2009 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.7mdv2011.0
+ Revision: 404574
+ rebuild (emptylog)

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.6mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.5mdv2009.1
+ Revision: 359307
- rebuild for new vdr

* Sun Sep 07 2008 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.4mdv2009.0
+ Revision: 282079
- rebuild due to missing package on x86_64

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.3mdv2009.0
+ Revision: 197886
- add a workaround for dvdnav bug #40406 causing build failure
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.2mdv2008.1
+ Revision: 145093
- adapt for VDR_PLUGIN_FLAGS
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20071030.1mdv2008.1
+ Revision: 103843
- add -D__STDC_LIMIT_MACROS into flags to fix build with recent
  libdvdnav (see #35140)
- new snapshot
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.4mdv2008.0
+ Revision: 49990
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.3mdv2008.0
+ Revision: 42076
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.2mdv2008.0
+ Revision: 22739
- rebuild for new vdr

* Tue May 01 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.1mdv2008.0
+ Revision: 20065
- new snapshot


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.10mdv2007.0
+ Revision: 90911
- rebuild for new vdr
- add vdr user to cdwriter group

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.9mdv2007.1
+ Revision: 73983
- rebuild for new vdr
- Import vdr-plugin-dvd

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.8mdv2007.0
- rebuild for new vdr

* Fri Sep 01 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.7mdv2007.0
- add vdr to cdrom group

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.1mdv2007.0
- initial Mandriva release

